from flask import Flask, Response, render_template
import time
import random

app = Flask(__name__)

edata = []
etemp = random.randint(19, 27)
ehumi = random.randint(40,80)

def update_active_users():
    global etemp, ehumi
    while True:
        etemp = etemp + 0.25*random.randint(-1, 1)
        ehumi = ehumi + 0.25*random.randint(-1, 1)
        etime = time.strftime('%H:%M:%S')
        edata.append((etime, etemp, ehumi))
        # if len(edata) > 30:
        #     edata.pop(0)
        time.sleep(1)


def generate_data():
    for data_point in edata:
        yield f"data: {data_point[0]},{data_point[1]},{data_point[2]}\n\n"
        time.sleep(1)


@app.route('/stats')
def stats():
    return Response(generate_data(), mimetype='text/event-stream')

@app.route('/')
def index():
    return render_template('index.html')

if __name__ == '__main__':
    import threading
    threading.Thread(target=update_active_users, daemon=True).start()
    app.run(debug=True)